std::shared_future< void > Class Reference
Inheritance diagram for std::shared_future< void >:
[legend]

## Public Member Functions

| shared_future (const shared_future &__sf)
| shared_future (future< void > &&__uf) noexcept
| shared_future (shared_future &&__sf) noexcept
void | get () const
shared_future & | operator= (const shared_future &__sf)
shared_future & | operator= (shared_future &&__sf) noexcept
bool | valid () const noexcept
void | wait () const
future_status | wait_for (const chrono::duration< _Rep, _Period > &__rel) const
future_status | wait_until (const chrono::time_point< _Clock, _Duration > &__abs) const

## Protected Types

typedef __future_base::_Result< void > & | __result_type
typedef shared_ptr< _State_base > | __state_type

## Protected Member Functions

__result_type | _M_get_result () const
void | _M_swap (__basic_future &__that) noexcept

## Detailed Description

Explicit specialization for shared_future<void>

Definition at line 1005 of file future.

## Constructor & Destructor Documentation

## shared_future() [1/3]

std::shared_future< void >::shared_future | ( | const shared_future< void > & | __sf | ) |

inline

Copy constructor.

Definition at line 1013 of file future.

## shared_future() [2/3]

std::shared_future< void >::shared_future | ( | future< void > && | __uf | ) |

inline noexcept

Construct from a future rvalue.

Definition at line 1016 of file future.

## shared_future() [3/3]

std::shared_future< void >::shared_future | ( | shared_future< void > && | __sf | ) |

inline noexcept

Construct from a shared_future rvalue.

Definition at line 1021 of file future.

## Member Function Documentation

## _M_get_result()

__result_type std::__basic_future< void >::_M_get_result | ( |  | ) | const

inline protected inherited

Wait for the state to be ready and rethrow any stored exception.

Definition at line 736 of file future.

The documentation for this class was generated from the following file:

- future